Sat Feb 23 16:51:34 2008  Nicola Pero <nicola.pero@meta-innovation.com>

	* Source/GNUmakefile (NEEDS_GUI): Set to NO.
	* Source/GNUmakefile.wrapper.objc.preamble (NEEDS_GUI): Set to NO.

Thu Mar 16 16:25:36 GMT 2006  Nicola Pero <n.pero@mi.flashnet.it>

	* GNUmakefile (before-all, before-distclean, config.make): Added
	rules to automatically run configure and create/delete
	config.make.

Mon Aug 25 18:00:00 2003  Matt Rice  <ratmice@yahoo.com>

	* *.m: Update includes to new header layout.

Fri Jul 11 21:52:00 2003  Davod Ayers  <d.ayers@inode.at>

	* *.m: Include GNUstep.h if GNUSTEP is not defined for OS X.
	* *.m: Use "" in preference to <> for local headers.
	* Headers/gsgd/GDBarChart.h: Added missing include.

Thu Jan 16 16:59:36 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* Source/GDBarChart.m ([-plotChartInFrame:]): Fixed drawing
	the horizontal lines - in limit cases they would be drawn in
	a position which was inconsistent with their labels.

Mon Jan 13 14:27:28 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* Source/GDBarChart.m ([-recommendedSize]): Make sure the frame is
	enough to display the title.  Fixes display problem with tiny
	charts with big titles.

Tue Dec  3 17:42:45 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Source/GDBinDataSet.m ([-fractionsScaledTo:]): Fixed problem
	with limit case of zero total.
	* Source/GDBarChart.m ([-plotChartInFrame:]): Fixed display
	with limit case of zero total.
	
Tue Dec  3 17:26:01 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Source/GDBarChart.m ([-plotChartInFrame:]): Fix for charts with
	very small totals.  If the total is less than 4, only draw a base
	y line, and a top y line.

Tue Dec  3 17:07:54 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Source/GDBarChart.m ([-recommendedSize]): Fix for very large
	charts: do not allow height to be above 600.

Tue Dec  3 16:39:37 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Source/GDBarChart.m ([-recommendedSize]): Fix for very small
	charts: do not allow height to be below 150.

Tue Dec  3 16:03:12 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Examples/GNUmakefile (after-clean): Remove images generated
	by the new examples.

Tue Dec  3 15:59:42 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Examples/WriteBarChart.m: New example.
	* Examples/WriteBarChart.java: New example.
	* Examples/GNUmakefile: Compile them.

Tue Dec  3 15:50:39 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Source/gsgd.jigs: Wrap GDBarChart; expose new utility methods
	in GDImage and GDFont.

Tue Dec  3 15:44:03 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDBarChart.h: Added API to change the bar color and
	bar shade color; to get the recommended size for the image.
	* Source/GDBarChart.m: Implemented it.
	
Tue Dec  3 15:11:40 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDFont.h: New utility method to get a bounding box
	for an array of strings, in separate category.
	* Source/GDFont.m: Implemented the new method.
	
	* Headers/gsgd/GDImage.h: New utility methods to draw a centered
	or right-aligned string, in separate category.
	* Source/GDImage.m: Implemented the new methods.
	
	* Headers/gsgd/GDBarChart.h: New file.
	* Source/GDBarChar.m: New file.
	* Source/GNUmakefile: Added GDBarChart.h and GDBarChart.m
	* Headers/gsgd/GD.h: Include GDBarChart.h.

Tue Dec  3 13:05:35 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Source/GNUmakefile.wrapper.objc.preamble: Added
	ADDITIONAL_LIB_DIRS.
	* Source/GDImage.m ([-drawLine:to:color:]): Removed forgotten
	NSLog.
	* Source/GDLegendBox: Updated for new API in GDImage.
	* Source/GDLineStyle.m: Idem.
	* Source/GDPieChart.m: Idem.
	([-plotPieInFrame:]): New code to compute bounding box.
	* Examples/WriteFile.m: Idem.
	* Examples/WritePlot.java: Idem.
	* Examples/WritePlot.m: Idem.
	* Examples/WritePie.m: Include gsgd/GDFrame.h.
	* README: Tidied a little.
	
Fri Jul 12 16:01:05 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDImage.h: Renamed copy from rect methods.
	* Source/GDImage.m: Corresponding changes.
	* Source/gsgd.jigs: Updated.

Fri Jul 12 15:50:55 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDImage.h: Improved API of all drawing operations.
	* Source/GDImage.m: Corresponding changes.
	* Source/gsgd.jigs: Corresponding changes.
	* Examples/WriteFile.m (main): Updated.
	* Examples/WritePlot.m (main): Updated.
	* Examples/WritePlot.java: Updated.
	
Fri Jul 12 15:34:02 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDPlot.h: Removed.
	* Source/GDPlot.m: Removed.
	* Source/GNUmakefile: Do not compile it.

Thu Jul 11 17:12:48 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Examples/WriteFile.m: Updated for change in API.
	* Examples/WritePlot.m: Updated for change in API.
	* Examples/WritePlot.java: Updated for change in API.

Thu Jul 11 17:09:56 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDImage.h ([-setPixelColor:at:], [-pixelColorAt:]):
	New methods replacing the existing ones to access pixel colors.
	* Source/GDImage.m: Updated code for new API.
	* Source/gsgd.jigs: Updated.

Thu Jul 11 16:40:38 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDImage.h ([-dataWithFormat:options:]): New method replacing
	[-dataWithFormat:extraInfo:] now taking a dictionary argument.
	([-setInterlace:], [-interlace]): Removed.
	* Source/GDImage.m: Updated and rewritten all code for new API.
	* Source/gsgd.jigs: Updated.

Thu Jul 11 16:13:25 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Examples/WritePie.java: New demo.
	* Examples/GNUmakefile: Compile it.

Thu Jul 11 16:00:24 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Source/gsgd.jigs: Wrapped GDLegendBox, GDBinDataSet and GDPieChart.

Thu Jul 11 15:54:57 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Source/gsgd.jigs: Added the new GDFont and GDLineStyle methods;
	wrapped GDFrame.
	* Headers/gsgd/GD.h: Include the new headers.

Thu Jul 11 15:46:08 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Examples/WritePie.m: Updated to demo the new pie chart class.

Thu Jul 11 15:43:18 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDPieChart.h: New class.
	* Source/GDPieChart.m: New class.
	* Source/GNUmakefile: Added the new class.

Thu Jul 11 15:41:20 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDBinDataSet.h: New class.
	* Source/GDBinDataSet.m: New class.
	* Source/GNUmakefile: Added the new class.
		
Thu Jul 11 15:35:21 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDLegendBox.h: New class.
	* Source/GDLegendBox.m: New class.
	* Source/GNUmakefile: Added the new class.

Thu Jul 11 14:20:02 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDLineStyle.h ([-lineWithColor:], [-plotLegendIconInFrame:]):
	New methods.
	* Source/GDLineStyle.m: Implemented the methods.

Thu Jul 11 14:18:02 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDFrame.h: New class.
	* Source/GDFrame.m: New class.
	* Source/GNUmakefile: Compile the new class.
	
Thu Jul 11 12:59:04 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDFont.h ([-boundingBoxForString:]): New method.
	* Source/GDFont.m ([-boundingBoxForString:]): Implemented.

Tue Jul  9 02:54:17 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Examples/WritePlot.java: Added workaround to prevent JVM
	internal crash ... now gsgd really works from java !

Tue Jul  9 00:28:24 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* configure.in: Changed argument of AC_INIT to be GNUmakefile,
	since the GDImage.h is no longer here.
	* configure: Regenerated.

Mon Jul  8 19:23:25 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	First attempt at java wrappers.
	* Headers/gsgd/GD.h: New file.
	* Source/gsgd.jigs: New file.
	* Source/GNUmakefile.wrapper.objc.preamble: New file.
	* Source/GNUmakefile: Compile the java wrappers if jigs is installed;
	added GD.h to list of headers.
	* Examples/WritePlot.java: New example.
	* Examples/GNUmakefile: Compile the new example.
	
Mon Jul  8 17:30:04 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDCom.h: Removed.
	* Headers/gsgd/GDPlot.h: Do not include GDCom.h; include
	Foundation/NSGeometry.h instead.
	* Source/GDPlot.m: Do not include GDCom.h
	* Source/GNUmakefile (libgsgd_HEADER_FILES): Removed GDCom.h
	
Mon Jul  8 17:09:26 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDImage.h: Rewritten methods to draw strings using
	FT fonts.
	* Source/GDImage.m: Corresponding changes.
	* Examples/WritePlot.m (main): Added example of drawing a string
	using a free type font, and computing the bounding rect.

Mon Jul  8 16:30:04 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Source/GDImage.m ([-string:x:y:color:font:]): Convert the string
	to ISO-8859-2 rather than using lossyCString.
	([-stringUp:x:y:color:font:]): Idem.

Mon Jul  8 15:55:19 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDFont.h: New file.
	* Source/GDFont.m: New file.
	* Headers/gsgd/GDSimpleFont.h: Removed, replaced by GDFont.h.
	* Source/GDSimpleFont.m: Removed, replaced by GDFont.m.
	* Headers/gsgd/GDImage.h: Tidied, updated text drawing code.
	* Source/GDImage.m: Tidied, updated text drawing code.
	* Source/GNUmakefile: Updated.
	* Examples/WritePlot.m: Show drawing some text.
	
Mon Jul  8 14:20:00 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Source/GDImage.m ([-brushImage], [-tileImage]): Implemented.
	([-copyWithZone:]): Implemented.
	([-copyRectFrom:x:y:width:height:toX:y:]): Access image pointer
	directly.
	([-copyRectFrom:x:y:width:height:toX:y:width:height:]): Idem.
	* Headers/gsgd/GDImage.h: Corresponding updates.
	
Fri Jul  5 19:24:39 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDImage.h: Rewritten API to draw arcs.
	* Source/GDImage.m: Rewritten corresponding methods.
	* Examples/WritePie.m: New example.
	* Examples/GNUmakefile: Compile it.

Fri Jul  5 17:55:13 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Examples/GNUmakefile (after-clean): Ignore errors.

Fri Jul  5 17:53:11 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDColor.h: File removed.
	* Source/GDColor.m: File removed.
	* Source/GNUmakefile: Removed references to GDColor.h and
	GDColor.m.
	
Fri Jul  5 16:01:45 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDImage.h: Added ivars tileImage and brushImage.
	([-dealloc]): Do not declare.
	([-setTile:]): Renamed to setTileImage:
	([-setBrush:]): Renamed to setBrushImage:.
	* Source/GDImage.m ([-dealloc]): release tileImage and brushImage.
	([-setTileImage:]): Retain tileImage.
	([-setBrushImage:]): Retain brushImage.
	
Fri Jul  5 15:37:51 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDImage.h: ([-setStyle:]): Renamed to setLineStyle:.
	([+transparentColor]): Method removed.
	* Source/GDImage.m ([-setLineStyle:]): Implemented.
	([+transparentColor]): Method removed.
	* Headers/gsgd/GDLineStyle.h: New file.
	* Source/GDLineStyle.m: New file.
	* Source/GNUmakefile: Added GDLineStyle.h and GDLineStyle.m.
	* Examples/WritePlot.m: New example.
	* Examples/GNUmakefile: Compile the new example; remove the image generated
	by the new example on make clean.
	
Fri Jul  5 13:38:48 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDImage.h: Tidied up, renamed, documented methods 
	to draw lines, rectangles, fill areas.
	* Source/GDImage.m: Corresponding work.
	* Examples/WriteFile.m: Demonstrate some of the methods to draw
	lines, rectangles, fill areas.

Fri Jul  5 12:39:22 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDImage.h: Added method to allocate a palette color
	by name.  Added method to lookup a true color by name, but kept 
	#ifdeffed out.
	* Source/GDImage.m: Implemented the corresponding methods.
	* Examples/WriteFile.m: Use the new methods to get colors more easily.

Thu Jul  4 19:46:19 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDImage.h: Rewritten the API for colors, pixels and
	image size.
	* Source/GDImage.m: Rewritten the corresponding methods.
	* Examples/WriteFile.m: Updated to show the new stuff working.
	
Thu Jul  4 16:35:13 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Source/GDImage.m ([-initWithData:format:]): Fixed memory leak in
	obscure case.

Thu Jul  4 16:22:10 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDImage.h: Cleaned up the whole file.  Totally
	rewritten the API for loading/saving of images.
	* Source/GDImage.m: Totally rewritten the corresponding methods;
	particularly initializers, and the methods to write images;
	reviewed, fixed, finished, extended code to read/write images to
	support cleanly all formats supported by libgd, except gd2: png,
	jpg, wbmp and gd should now work well.  The API is done in such a
	way that it can be wrapped happily in Java.
	* Examples/: New directory.
	* Examples/GNUmakefile: New file.
	* Examples/ReadFile.m: New file.
	* Examples/WriteFile.m: New file.
	
Thu Jul  4 16:10:01 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Source/GNUmakefile (ADDITIONAL_OBJCFLAGS): Use -Wall when compiling.

Wed Jul  3 18:13:37 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Headers/gsgd/GDColor.h: Do not include gsgd/GDCom.h.
	Include Foundation/NSObject.h.
	* Source/GDColor.m: Do not include gsgd/GDCom.h.
	([GDColor -copyWithZone:]): Do not manually set the copied red,
	green, blue - automatically done.
	
Wed Jul  3 17:44:39 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Source/: New directory.
	* Headers/: New directory.
	* Headers/gsgd/: New directory.
	* *.m: Moved into Source/.
	* *.h: Moved into Headers/gsgd/.
	* Source/GNUmakefile: Compile the headers etc
	* GNUmakefile: Old makefile moved into Source/GNUmakefile,
	replaced with a makefile which runs Source SUBPROJECT.
	Do not install into GNUSTEP_SYSTEM_ROOT.

Wed Jul  3 16:30:53 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Makefile.preamble: Removed.
	* Makefile.postamble: Removed.
	* GNUmakefile: Code from the preamble moved in here; do not link
	against FoundationExt.

	* LICENSE: Renamed to COPYING.LIB.  Updated to latest FSF version.
		
2001-08-28  Adam Fedor  <fedor@gnu.org>

	* configure.in: Check system type. Add lib include for freebsd.

2001-08-20  Adam Fedor  <fedor@gnu.org>

	* configure.in: New file - check for gd library
	* config.make.in: Likewise.
	* Makefile.preamble: Include config.make.in

Tue Jul 10 14:29:37 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* README: Say that the author is Manuel Guesdon.
	* GNUmakefile: Updated, simplified.
	* Makefile.postamble, Makefile.preamble: Idem.
